<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Catch::Matchers::Impl::MatcherMethod&lt; ObjectT &gt; Struct Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers.html">Matchers</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Matchers_1_1Impl.html">Impl</a></li><li class="navelem"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod.html">MatcherMethod</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Catch::Matchers::Impl::MatcherMethod&lt; ObjectT &gt; Struct Template Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae0920ff9e817acf08e1bb0cbcb044e30"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod.html#ae0920ff9e817acf08e1bb0cbcb044e30">match</a> (ObjectT const &amp;arg) const =0</td></tr>
<tr class="separator:ae0920ff9e817acf08e1bb0cbcb044e30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0920ff9e817acf08e1bb0cbcb044e30"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod.html#ae0920ff9e817acf08e1bb0cbcb044e30">match</a> (ObjectT const &amp;arg) const =0</td></tr>
<tr class="separator:ae0920ff9e817acf08e1bb0cbcb044e30"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae0920ff9e817acf08e1bb0cbcb044e30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0920ff9e817acf08e1bb0cbcb044e30">&#9670;&nbsp;</a></span>match() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ObjectT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod.html">Catch::Matchers::Impl::MatcherMethod</a>&lt; ObjectT &gt;::match </td>
          <td>(</td>
          <td class="paramtype">ObjectT const &amp;&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classCatch_1_1Matchers_1_1Generic_1_1PredicateMatcher.html#a2ec0e8ec19c4c5e26271d59a06a62b52">Catch::Matchers::Generic::PredicateMatcher&lt; T &gt;</a>, and <a class="el" href="classCatch_1_1Matchers_1_1Generic_1_1PredicateMatcher.html#a2ec0e8ec19c4c5e26271d59a06a62b52">Catch::Matchers::Generic::PredicateMatcher&lt; T &gt;</a>.</p>

</div>
</div>
<a id="ae0920ff9e817acf08e1bb0cbcb044e30"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0920ff9e817acf08e1bb0cbcb044e30">&#9670;&nbsp;</a></span>match() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ObjectT &gt; </div>
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structCatch_1_1Matchers_1_1Impl_1_1MatcherMethod.html">Catch::Matchers::Impl::MatcherMethod</a>&lt; ObjectT &gt;::match </td>
          <td>(</td>
          <td class="paramtype">ObjectT const &amp;&#160;</td>
          <td class="paramname"><em>arg</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implemented in <a class="el" href="classCatch_1_1Matchers_1_1Generic_1_1PredicateMatcher.html#a2ec0e8ec19c4c5e26271d59a06a62b52">Catch::Matchers::Generic::PredicateMatcher&lt; T &gt;</a>, and <a class="el" href="classCatch_1_1Matchers_1_1Generic_1_1PredicateMatcher.html#a2ec0e8ec19c4c5e26271d59a06a62b52">Catch::Matchers::Generic::PredicateMatcher&lt; T &gt;</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>backend/src/lib/game/<a class="el" href="game_2catch_8hpp_source.html">catch.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
